# DateOrTimeType Class Reference

`#include <DateOrTimeType.hpp>`

Inheritance diagram for DateOrTimeType:

[legend]
List of all members.

## Public Types

typedef RefCountPointer< const DateOrTimeType > | Ptr

## Public Member Functions

virtual bool | isDateOrTimeTypeValue () const
virtual bool | hasTimezone () const =0
| Returns true if the timezone is defined for this object, false otherwise.

## Member Typedef Documentation

typedef RefCountPointer<const DateOrTimeType> DateOrTimeType::Ptr

| Reimplemented from AnyAtomicType. Reimplemented in ATDateOrDerived, ATDateTimeOrDerived, ATGDayOrDerived, ATGMonthDayOrDerived, ATGMonthOrDerived, ATGYearMonthOrDerived, ATGYearOrDerived, and ATTimeOrDerived.

## Member Function Documentation

virtual bool DateOrTimeType::hasTimezone | ( |  | ) | const`[pure virtual]`

| Returns true if the timezone is defined for this object, false otherwise. Implemented in ATDateOrDerived, ATDateTimeOrDerived, ATGDayOrDerived, ATGMonthDayOrDerived, ATGMonthOrDerived, ATGYearMonthOrDerived, ATGYearOrDerived, and ATTimeOrDerived.

virtual bool DateOrTimeType::isDateOrTimeTypeValue | ( |  | ) | const`[virtual]`

| Reimplemented from AnyAtomicType.

The documentation for this class was generated from the following file:

- DateOrTimeType.hpp